#
# Conditional build:
%bcond_without	tests		# build without tests

%define	pkgname	mixlib-config
Summary:	Simple ruby config mix-in
Name:		ruby-%{pkgname}
Version:	2.1.0
Release:	4
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	ca4a97d3f5eeeb09afeb7fb5b884305f
URL:		http://github.com/opscode/mixlib-config
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %{with tests}
BuildRequires:	ruby-rspec
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A class based config mix-in, similar to the one found in Chef.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q

%build
%__gem_helper spec

%if %{with tests}
rspec
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md NOTICE
%{ruby_vendorlibdir}/mixlib/config.rb
%{ruby_vendorlibdir}/mixlib/config
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

# FIXME, who owns the dir?
%dir %{ruby_vendorlibdir}/mixlib
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-mixlib-config.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> f3219c4
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Tue Dec 23 2014 Elan Ruusamäe <glen@delfi.ee> 6409231
- rebuild with gemspec deps
- release 3 (by relup.sh)

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> a42297f
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Sat Jan 11 2014 Elan Ruusamäe <glen@delfi.ee> 492d07f
- up to 2.1.0

* Sat Dec 21 2013 Elan Ruusamäe <glen@delfi.ee> c6a9622
- rel 1

* Mon Nov 25 2013 Elan Ruusamäe <glen@delfi.ee> 8c12681
- up to 2.0.0

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> f9f2d55
- build with rubygems provides

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 1e41923
- new, version 1.1.2

